--enable-ipc use interprocess communication (wxSocket etc.)
--enable-apple_ieee use the Apple IEEE codec
--enable-arcstream use wxArchive streams
- --enable-backingfile use wxBackingFile
--enable-backtrace use wxStackWalker class for getting backtraces
--enable-catch_segvs catch signals in wxApp::OnFatalException (Unix only)
--enable-cmdline use wxCmdLineParser class
--enable-file use wxFile class
--enable-filesystem use virtual file systems classes
--enable-fontmap use font encodings conversion classes
+ --enable-fs_archive use virtual archive filesystems
--enable-fs_inet use virtual HTTP/FTP filesystems
- --enable-fs_zip use virtual ZIP filesystems
+ --enable-fs_zip now replaced by fs_archive
--enable-geometry use geometry class
--enable-log use logging system
--enable-longlong use wxLongLong class
--enable-stopwatch use wxStopWatch class
--enable-streams use wxStream etc classes
--enable-sysoptions use wxSystemOptions
+ --enable-tarstream use wxTar streams
--enable-textbuf use wxTextBuffer class
--enable-textfile use wxTextFile class
--enable-timer use wxTimer class
--enable-checklst use wxCheckListBox (listbox with checkboxes) class
--enable-choice use wxChoice class
--enable-choicebook use wxChoicebook class
+ --enable-collpane use wxCollapsiblePane class
--enable-colourpicker use wxColourPickerCtrl class
--enable-combobox use wxComboBox class
--enable-comboctrl use wxComboCtrl class
--enable-image use wxImage class
--enable-gif use gif images (GIF file format)
--enable-pcx use pcx images (PCX file format)
+ --enable-tga use tga images (TGA file format)
--enable-iff use iff images (IFF file format)
--enable-pnm use pnm images (PNM file format)
--enable-xpm use xpm images (XPM file format)
wx_major_version_number=2
wx_minor_version_number=7
-wx_release_number=1
-wx_subrelease_number=3
+wx_release_number=2
+wx_subrelease_number=0
WX_RELEASE=$wx_major_version_number.$wx_minor_version_number
WX_VERSION=$WX_RELEASE.$wx_release_number
DEFAULT_wxUSE_FILESYSTEM=no
DEFAULT_wxUSE_FS_INET=no
DEFAULT_wxUSE_FS_ZIP=no
+ DEFAULT_wxUSE_FS_ARCHIVE=no
DEFAULT_wxUSE_BUSYINFO=no
DEFAULT_wxUSE_ARCHIVE_STREAMS=no
DEFAULT_wxUSE_ZIPSTREAM=no
- DEFAULT_wxUSE_BACKINGFILE=no
+ DEFAULT_wxUSE_TARSTREAM=no
DEFAULT_wxUSE_VALIDATORS=no
DEFAULT_wxUSE_ACCEL=no
DEFAULT_wxUSE_CHECKLST=no
DEFAULT_wxUSE_CHOICE=no
DEFAULT_wxUSE_CHOICEBOOK=no
+ DEFAULT_wxUSE_COLLPANE=no
DEFAULT_wxUSE_COLOURPICKERCTRL=no
DEFAULT_wxUSE_COMBOBOX=no
DEFAULT_wxUSE_COMBOCTRL=no
DEFAULT_wxUSE_IMAGE=no
DEFAULT_wxUSE_GIF=no
DEFAULT_wxUSE_PCX=no
+ DEFAULT_wxUSE_TGA=no
DEFAULT_wxUSE_PNM=no
DEFAULT_wxUSE_IFF=no
DEFAULT_wxUSE_XPM=no
DEFAULT_wxUSE_FILESYSTEM=yes
DEFAULT_wxUSE_FS_INET=yes
DEFAULT_wxUSE_FS_ZIP=yes
+ DEFAULT_wxUSE_FS_ARCHIVE=yes
DEFAULT_wxUSE_BUSYINFO=yes
DEFAULT_wxUSE_ARCHIVE_STREAMS=yes
DEFAULT_wxUSE_ZIPSTREAM=yes
- DEFAULT_wxUSE_BACKINGFILE=yes
+ DEFAULT_wxUSE_TARSTREAM=yes
DEFAULT_wxUSE_VALIDATORS=yes
DEFAULT_wxUSE_ACCEL=yes
DEFAULT_wxUSE_CHECKLST=yes
DEFAULT_wxUSE_CHOICE=yes
DEFAULT_wxUSE_CHOICEBOOK=yes
+ DEFAULT_wxUSE_COLLPANE=yes
DEFAULT_wxUSE_COLOURPICKERCTRL=yes
DEFAULT_wxUSE_COMBOBOX=yes
DEFAULT_wxUSE_COMBOCTRL=yes
DEFAULT_wxUSE_IMAGE=yes
DEFAULT_wxUSE_GIF=yes
DEFAULT_wxUSE_PCX=yes
- DEFAULT_wxUSE_IFF=no
- DEFAULT_wxUSE_PNM=yes
+ DEFAULT_wxUSE_TGA=yes
+ DEFAULT_wxUSE_IFF=no DEFAULT_wxUSE_PNM=yes
DEFAULT_wxUSE_XPM=yes
DEFAULT_wxUSE_ICO_CUR=yes
DEFAULT_wxUSE_ACCESSIBILITY=no
fi
- enablestring=
- echo "$as_me:$LINENO: checking for --${enablestring:-enable}-backingfile" >&5
-echo $ECHO_N "checking for --${enablestring:-enable}-backingfile... $ECHO_C" >&6
- no_cache=0
- # Check whether --enable-backingfile or --disable-backingfile was given.
-if test "${enable_backingfile+set}" = set; then
- enableval="$enable_backingfile"
-
- if test "$enableval" = yes; then
- ac_cv_use_backingfile='wxUSE_BACKINGFILE=yes'
- else
- ac_cv_use_backingfile='wxUSE_BACKINGFILE=no'
- fi
-
-else
-
- LINE=`grep "wxUSE_BACKINGFILE" ${wx_arg_cache_file}`
- if test "x$LINE" != x ; then
- eval "DEFAULT_$LINE"
- else
- no_cache=1
- fi
-
- ac_cv_use_backingfile='wxUSE_BACKINGFILE='$DEFAULT_wxUSE_BACKINGFILE
-
-fi;
-
- eval "$ac_cv_use_backingfile"
- if test "$no_cache" != 1; then
- echo $ac_cv_use_backingfile >> ${wx_arg_cache_file}.tmp
- fi
-
- if test "$wxUSE_BACKINGFILE" = yes; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- fi
-
-
enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-backtrace" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-backtrace... $ECHO_C" >&6
fi
+ enablestring=
+ echo "$as_me:$LINENO: checking for --${enablestring:-enable}-fs_archive" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-fs_archive... $ECHO_C" >&6
+ no_cache=0
+ # Check whether --enable-fs_archive or --disable-fs_archive was given.
+if test "${enable_fs_archive+set}" = set; then
+ enableval="$enable_fs_archive"
+
+ if test "$enableval" = yes; then
+ ac_cv_use_fs_archive='wxUSE_FS_ARCHIVE=yes'
+ else
+ ac_cv_use_fs_archive='wxUSE_FS_ARCHIVE=no'
+ fi
+
+else
+
+ LINE=`grep "wxUSE_FS_ARCHIVE" ${wx_arg_cache_file}`
+ if test "x$LINE" != x ; then
+ eval "DEFAULT_$LINE"
+ else
+ no_cache=1
+ fi
+
+ ac_cv_use_fs_archive='wxUSE_FS_ARCHIVE='$DEFAULT_wxUSE_FS_ARCHIVE
+
+fi;
+
+ eval "$ac_cv_use_fs_archive"
+ if test "$no_cache" != 1; then
+ echo $ac_cv_use_fs_archive >> ${wx_arg_cache_file}.tmp
+ fi
+
+ if test "$wxUSE_FS_ARCHIVE" = yes; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ fi
+
+
enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-fs_inet" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-fs_inet... $ECHO_C" >&6
fi
+ enablestring=
+ echo "$as_me:$LINENO: checking for --${enablestring:-enable}-tarstream" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-tarstream... $ECHO_C" >&6
+ no_cache=0
+ # Check whether --enable-tarstream or --disable-tarstream was given.
+if test "${enable_tarstream+set}" = set; then
+ enableval="$enable_tarstream"
+
+ if test "$enableval" = yes; then
+ ac_cv_use_tarstream='wxUSE_TARSTREAM=yes'
+ else
+ ac_cv_use_tarstream='wxUSE_TARSTREAM=no'
+ fi
+
+else
+
+ LINE=`grep "wxUSE_TARSTREAM" ${wx_arg_cache_file}`
+ if test "x$LINE" != x ; then
+ eval "DEFAULT_$LINE"
+ else
+ no_cache=1
+ fi
+
+ ac_cv_use_tarstream='wxUSE_TARSTREAM='$DEFAULT_wxUSE_TARSTREAM
+
+fi;
+
+ eval "$ac_cv_use_tarstream"
+ if test "$no_cache" != 1; then
+ echo $ac_cv_use_tarstream >> ${wx_arg_cache_file}.tmp
+ fi
+
+ if test "$wxUSE_TARSTREAM" = yes; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ fi
+
+
enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-textbuf" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-textbuf... $ECHO_C" >&6
DEFAULT_wxUSE_CHECKLISTBOX=yes
DEFAULT_wxUSE_CHOICE=yes
DEFAULT_wxUSE_CHOICEBOOK=yes
+ DEFAULT_wxUSE_COLLPANE=yes
DEFAULT_wxUSE_COLOURPICKERCTRL=yes
DEFAULT_wxUSE_COMBOBOX=yes
DEFAULT_wxUSE_DATEPICKCTRL=yes
DEFAULT_wxUSE_BUTTON=no
DEFAULT_wxUSE_CALCTRL=no
DEFAULT_wxUSE_CARET=no
+ DEFAULT_wxUSE_COLLPANE=no
DEFAULT_wxUSE_COMBOBOX=no
DEFAULT_wxUSE_CHECKBOX=no
DEFAULT_wxUSE_CHECKLISTBOX=no
fi
+ enablestring=
+ echo "$as_me:$LINENO: checking for --${enablestring:-enable}-collpane" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-collpane... $ECHO_C" >&6
+ no_cache=0
+ # Check whether --enable-collpane or --disable-collpane was given.
+if test "${enable_collpane+set}" = set; then
+ enableval="$enable_collpane"
+
+ if test "$enableval" = yes; then
+ ac_cv_use_collpane='wxUSE_COLLPANE=yes'
+ else
+ ac_cv_use_collpane='wxUSE_COLLPANE=no'
+ fi
+
+else
+
+ LINE=`grep "wxUSE_COLLPANE" ${wx_arg_cache_file}`
+ if test "x$LINE" != x ; then
+ eval "DEFAULT_$LINE"
+ else
+ no_cache=1
+ fi
+
+ ac_cv_use_collpane='wxUSE_COLLPANE='$DEFAULT_wxUSE_COLLPANE
+
+fi;
+
+ eval "$ac_cv_use_collpane"
+ if test "$no_cache" != 1; then
+ echo $ac_cv_use_collpane >> ${wx_arg_cache_file}.tmp
+ fi
+
+ if test "$wxUSE_COLLPANE" = yes; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ fi
+
+
enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-colourpicker" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-colourpicker... $ECHO_C" >&6
fi
+ enablestring=
+ echo "$as_me:$LINENO: checking for --${enablestring:-enable}-tga" >&5
+echo $ECHO_N "checking for --${enablestring:-enable}-tga... $ECHO_C" >&6
+ no_cache=0
+ # Check whether --enable-tga or --disable-tga was given.
+if test "${enable_tga+set}" = set; then
+ enableval="$enable_tga"
+
+ if test "$enableval" = yes; then
+ ac_cv_use_tga='wxUSE_TGA=yes'
+ else
+ ac_cv_use_tga='wxUSE_TGA=no'
+ fi
+
+else
+
+ LINE=`grep "wxUSE_TGA" ${wx_arg_cache_file}`
+ if test "x$LINE" != x ; then
+ eval "DEFAULT_$LINE"
+ else
+ no_cache=1
+ fi
+
+ ac_cv_use_tga='wxUSE_TGA='$DEFAULT_wxUSE_TGA
+
+fi;
+
+ eval "$ac_cv_use_tga"
+ if test "$no_cache" != 1; then
+ echo $ac_cv_use_tga >> ${wx_arg_cache_file}.tmp
+ fi
+
+ if test "$wxUSE_TGA" = yes; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ else
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+ fi
+
+
enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-iff" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-iff... $ECHO_C" >&6
{ echo "$as_me:$LINENO: WARNING: Building DLLs requires OMF mode, enabled" >&5
echo "$as_me: WARNING: Building DLLs requires OMF mode, enabled" >&2;}
wxUSE_OMF=yes
- enable_omf=yes
+ enable_omf=yes
fi
;;
*)
fi
fi
+if test "wxUSE_UNICODE" = "yes"; then
+
+for ac_func in wcstoull
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+ For example, HP-UX 11i <limits.h> declares gettimeofday. */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char $ac_func (); below.
+ Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+ <limits.h> exists even on freestanding compilers. */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_var=yes"
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+else
+
+for ac_func in strtoull
+do
+as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
+if eval "test \"\${$as_ac_var+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
+ For example, HP-UX 11i <limits.h> declares gettimeofday. */
+#define $ac_func innocuous_$ac_func
+
+/* System header to define __stub macros and hopefully few prototypes,
+ which can conflict with char $ac_func (); below.
+ Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+ <limits.h> exists even on freestanding compilers. */
+
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+
+#undef $ac_func
+
+/* Override any gcc2 internal prototype to avoid an error. */
+#ifdef __cplusplus
+extern "C"
+{
+#endif
+/* We use char because int might match the return type of a gcc2
+ builtin and then its argument prototype would still apply. */
+char $ac_func ();
+/* The GNU C library defines this for functions which it implements
+ to always fail with ENOSYS. Some functions are actually named
+ something starting with __ and the normal name is an alias. */
+#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+choke me
+#else
+char (*f) () = $ac_func;
+#endif
+#ifdef __cplusplus
+}
+#endif
+
+int
+main ()
+{
+return f != $ac_func;
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+ (eval $ac_link) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest$ac_exeext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_var=yes"
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_var=no"
+fi
+rm -f conftest.err conftest.$ac_objext \
+ conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+if test `eval echo '${'$as_ac_var'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+done
+
+fi
+
if test "$wxUSE_REGEX" != "no"; then
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <X11/Intrinsic.h>
+#include <X11/Xlib.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
sed 's/^/| /' conftest.$ac_ext >&5
for ac_dir in $ac_x_header_dirs; do
- if test -r "$ac_dir/X11/Intrinsic.h"; then
+ if test -r "$ac_dir/X11/Xlib.h"; then
ac_x_includes=$ac_dir
break
fi
# See if we find them without any special options.
# Don't add to $LIBS permanently.
ac_save_LIBS=$LIBS
- LIBS="-lXt $LIBS"
+ LIBS="-lX11 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <X11/Intrinsic.h>
+#include <X11/Xlib.h>
int
main ()
{
-XtMalloc (0)
+XrmInitialize ()
;
return 0;
}
do
# Don't even attempt the hair of trying to link an X program!
for ac_extension in a so sl; do
- if test -r $ac_dir/libXt.$ac_extension; then
+ if test -r $ac_dir/libX11.$ac_extension; then
ac_x_libraries=$ac_dir
break 2
fi
if test "x$ac_cv_func_which_gethostbyname_r" = "xno" -o \
- "x$ac_cv_func_which_gethostbyname_r" = "xunknown" ; then
+ "x$ac_cv_func_which_gethostbyname_r" = "xunknown" ; then
echo "$as_me:$LINENO: checking for gethostbyname" >&5
echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
if test "${ac_cv_func_gethostbyname+set}" = set; then
if test "x$ac_cv_func_which_getservbyname_r" = "xno" -o \
- "x$ac_cv_func_which_getservbyname_r" = "xunknown" ; then
+ "x$ac_cv_func_which_getservbyname_r" = "xunknown" ; then
for ac_func in getservbyname
do
fi
-if test "$wxUSE_FILESYSTEM" = "yes"; then
- cat >>confdefs.h <<\_ACEOF
-#define wxUSE_FILESYSTEM 1
-_ACEOF
-
-fi
-
-if test "$wxUSE_FS_ZIP" = "yes"; then
- cat >>confdefs.h <<\_ACEOF
-#define wxUSE_FS_ZIP 1
-_ACEOF
-
-fi
-
if test "$wxUSE_ARCHIVE_STREAMS" = "yes"; then
- cat >>confdefs.h <<\_ACEOF
+ if test "$wxUSE_STREAMS" != yes; then
+ { echo "$as_me:$LINENO: WARNING: wxArchive requires wxStreams... disabled" >&5
+echo "$as_me: WARNING: wxArchive requires wxStreams... disabled" >&2;}
+ wxUSE_ARCHIVE_STREAMS=no
+ else
+ cat >>confdefs.h <<\_ACEOF
#define wxUSE_ARCHIVE_STREAMS 1
_ACEOF
+ fi
fi
if test "$wxUSE_ZIPSTREAM" = "yes"; then
fi
fi
-if test "$wxUSE_BACKINGFILE" = "yes"; then
+if test "$wxUSE_TARSTREAM" = "yes"; then
+ if test "$wxUSE_ARCHIVE_STREAMS" != "yes"; then
+ { echo "$as_me:$LINENO: WARNING: wxTar requires wxArchive... disabled" >&5
+echo "$as_me: WARNING: wxTar requires wxArchive... disabled" >&2;}
+ else
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_TARSTREAM 1
+_ACEOF
+
+ fi
+fi
+
+if test "$wxUSE_FILESYSTEM" = "yes"; then
if test "$wxUSE_STREAMS" != yes -o \( "$wxUSE_FILE" != yes -a "$wxUSE_FFILE" != yes \); then
- { echo "$as_me:$LINENO: WARNING: wxBackingFile requires wxStreams and wxFile or wxFFile... disabled" >&5
-echo "$as_me: WARNING: wxBackingFile requires wxStreams and wxFile or wxFFile... disabled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&5
+echo "$as_me: WARNING: wxFileSystem requires wxStreams and wxFile or wxFFile... disabled" >&2;}
+ wxUSE_FILESYSTEM=no
+ else
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FILESYSTEM 1
+_ACEOF
+
+ fi
+fi
+
+if test "$wxUSE_FS_ARCHIVE" = "yes"; then
+ if test "$wxUSE_FILESYSTEM" != yes -o "$wxUSE_ARCHIVE_STREAMS" != yes; then
+ { echo "$as_me:$LINENO: WARNING: wxArchiveFSHandler requires wxArchive and wxFileSystem... disabled" >&5
+echo "$as_me: WARNING: wxArchiveFSHandler requires wxArchive and wxFileSystem... disabled" >&2;}
+ else
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_FS_ARCHIVE 1
+_ACEOF
+
+ fi
+fi
+
+if test "$wxUSE_FS_ZIP" = "yes"; then
+ if test "$wxUSE_FS_ARCHIVE" != yes; then
+ { echo "$as_me:$LINENO: WARNING: wxZipFSHandler requires wxArchiveFSHandler... disabled" >&5
+echo "$as_me: WARNING: wxZipFSHandler requires wxArchiveFSHandler... disabled" >&2;}
else
cat >>confdefs.h <<\_ACEOF
-#define wxUSE_BACKINGFILE 1
+#define wxUSE_FS_ZIP 1
_ACEOF
fi
SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS caret"
fi
+if test "$wxUSE_COLLPANE" = "yes"; then
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_COLLPANE 1
+_ACEOF
+
+ USES_CONTROLS=1
+ SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS collpane"
+fi
+
if test "$wxUSE_COMBOBOX" = "yes"; then
cat >>confdefs.h <<\_ACEOF
#define wxUSE_COMBOBOX 1
fi
+ if test "$wxUSE_TGA" = "yes" ; then
+ cat >>confdefs.h <<\_ACEOF
+#define wxUSE_TGA 1
+_ACEOF
+
+ fi
+
if test "$wxUSE_IFF" = "yes" ; then
cat >>confdefs.h <<\_ACEOF
#define wxUSE_IFF 1
# Put the nasty error message in config.log where it belongs
echo "$CAIRO_PKG_ERRORS" >&5
-
- { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
+ { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
echo "$as_me: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&2;}
-
elif test $pkg_failed = untried; then
-
- { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
+ { echo "$as_me:$LINENO: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&5
echo "$as_me: WARNING: Cairo library not found, unable to set wxUSE_GRAPHICS_CONTEXT" >&2;}
-
else
CAIRO_CFLAGS=$pkg_cv_CAIRO_CFLAGS
CAIRO_LIBS=$pkg_cv_CAIRO_LIBS
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
-
- cat >>confdefs.h <<\_ACEOF
+ cat >>confdefs.h <<\_ACEOF
#define wxUSE_GRAPHICS_CONTEXT 1
_ACEOF
-
fi
fi
fi
echo $ECHO_N "(cached) $ECHO_C" >&6
else
- wx_cv_gcc_pch_bug=no
- echo 'const wchar_t test_var[] = L"wide string";' > conftest.h
+ echo '#include <stdio.h>
+ const wchar_t test_var[] = L"awidetest";' > conftest.h
- if $CXX conftest.h >& /dev/null
+ echo '#include "conftest.h"
+ int main()
+ {
+ printf("%ls", test_var);
+ return 0;
+ }' > conftest.cpp
+
+ wx_cv_gcc_pch_bug="pch not supported"
+
+ if $CXX conftest.h >/dev/null 2>&1
then
- {
- echo '#include "conftest.h"'
- echo 'const wchar_t *test() { return test_var; }'
- } > conftest.cpp
+ wx_cv_gcc_pch_bug=
- if $CXX -c -o conftest.o conftest.cpp >& /dev/null
+ if $CXX -o conftest$PROGRAM_EXT conftest.cpp >/dev/null 2>&1
then
- tr -dc 'a-z' < conftest.o |
- grep 'widestring' >& /dev/null ||
+ if tr -dc '[a-z]' < conftest$PROGRAM_EXT |
+ grep awidetest >/dev/null
+ then
+ wx_cv_gcc_pch_bug=no
+ else
wx_cv_gcc_pch_bug=yes
+ fi
fi
fi
- rm -f conftest.h conftest.gch conftest.cpp conftest.o
+ rm -f conftest.h conftest.gch conftest.cpp conftest$PROGRAM_EXT
fi
echo "$as_me:$LINENO: result: $wx_cv_gcc_pch_bug" >&5
*-pc-os2_emx | *-pc-os2-emx )
SHARED_LD_CC="`pwd`/dllar.sh -name-mangler-script ./dllnames.sh -libf INITINSTANCE -libf TERMINSTANCE -o"
SHARED_LD_CXX="`pwd`/dllar.sh -name-mangler-script ./dllnames.sh -libf INITINSTANCE -libf TERMINSTANCE -o"
- cp -p ${srcdir}/src/os2/dllnames.sh .
- cp -p ${srcdir}/src/os2/dllar.sh .
+ cp -p ${srcdir}/src/os2/dllnames.sh .
+ cp -p ${srcdir}/src/os2/dllar.sh .
;;
esac
else